org.jboss.resteasy.springmvc

## Class RequestUtil

- java.lang.Object
- - org.jboss.resteasy.springmvc.RequestUtil

-     public class RequestUtil
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpRequest` | `getHttpRequest(javax.servlet.http.HttpServletRequest request)`
    `static javax.servlet.http.HttpServletRequest` | `getRequest()`
    `static ResteasyRequestWrapper` | `getRequestWrapper(javax.servlet.http.HttpServletRequest request)`
    `static ResteasyRequestWrapper` | `getRequestWrapper(javax.servlet.http.HttpServletRequest request, String method, String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestUtil

          public RequestUtil()

  - ### Method Detail

    - #### getRequest

          public static javax.servlet.http.HttpServletRequest getRequest()

    - #### getRequestWrapper

          public static ResteasyRequestWrapper getRequestWrapper(javax.servlet.http.HttpServletRequest request)
                                                          throws javax.servlet.ServletException,
                                                                 IOException

      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### getHttpRequest

          public static HttpRequest getHttpRequest(javax.servlet.http.HttpServletRequest request)
                                            throws javax.servlet.ServletException,
                                                   IOException

      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### getRequestWrapper

          public static ResteasyRequestWrapper getRequestWrapper(javax.servlet.http.HttpServletRequest request,
                                                 String method,
                                                 String prefix)
                                                          throws javax.servlet.ServletException,
                                                                 IOException

      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2014. All Rights Reserved.